Results 1 to 2 of 2

Thread: Invalid repository

  1. #1

    Default Invalid repository

    Hello, Recently installed openSUSE 11.1
    On the automatic update, or whenever I use zypper
    I get the following message

    Retrieving repository 'home:RedDwarf:fakePackman' metadata [error]
    Repository 'home:RedDwarf:fakePackman' is invalid.
    [|] Repository type can't be determined.
    Please check if the URIs defined for this repository are pointing to a valid repository.
    Warning: Disabling repository 'home:RedDwarf:fakePackman' because of the above error.
    Loading repository data...
    Reading installed packages...

    This also stops me from getting any updates.

    googling it did not yield much.
    Any ideas?

    Thanks

  2. #2
    Join Date
    Jun 2008
    Location
    Atlanta, Georgia, USA
    Posts
    2,429

    Default Re: Invalid repository

    From the error message, it appears you have added a Packman repository which is not valid. Try going to YaST Software Repositories and disabling that repository, or possibly deleting it altogether. I also seem to recall that there was an issue with the updates repository in 11.1 at release (later patched); again in the Repositories module, make sure an automatic updates repo is there and try renaming it to "Main Update Repository" and saving that. Then run Automatic Updates from YaST.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •